/***************************************************************************
                                kfnkeys.cpp
                             -------------------
    begin                : Thu May 4 2000
    copyright            : (C) 2000 by Shie Erlich & Rafi Yanai
 ---------------------------------------------------------------------------
  Description 
 ***************************************************************************

  A 

     db   dD d8888b. db    db .d8888.  .d8b.  d8888b. d88888b d8888b.
     88 ,8P' 88  `8D 88    88 88'  YP d8' `8b 88  `8D 88'     88  `8D
     88,8P   88oobY' 88    88 `8bo.   88ooo88 88   88 88ooooo 88oobY'
     88`8b   88`8b   88    88   `Y8b. 88~~~88 88   88 88~~~~~ 88`8b
     88 `88. 88 `88. 88b  d88 db   8D 88   88 88  .8D 88.     88 `88.
     YP   YD 88   YD ~Y8888P' `8888Y' YP   YP Y8888D' Y88888P 88   YD

                                                     S o u r c e    F i l e

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kfnkeys.h"
#include "krusader.h"

KFnKeys::KFnKeys(QWidget *parent, char *name): QWidget(parent,name) {
		krConfig->setGroup("Look&Feel");
		////////////////////////////////
		
		setFont(krConfig->readFontEntry("FnKeys Font",_FnKeysFont));
		layout=new QGridLayout(this,1,8);	// 8 keys
		F3=new QPushButton( i18n("F3 Term  ") ,this);	
			connect(F3,SIGNAL(clicked()),this->parent(),
						SLOT(slotTerminal()));
			F3->setAccel(Key_F3);
		F4=new QPushButton( i18n("F4 Edit  ") ,this);
			connect(F4,SIGNAL(clicked()),this->parent(),
						SLOT(slotEditFile()));
			F4->setAccel(Key_F4);
		F5=new QPushButton( i18n("F5 Copy  ") ,this);	
			connect(F5,SIGNAL(clicked()),this->parent(),
						SLOT(slotCopyFiles()));
			F5->setAccel(Key_F5);
		F6=new QPushButton( i18n("F6 Move") ,this);
			connect(F6,SIGNAL(clicked()),this->parent(),
						SLOT(slotMoveFiles()));
			F6->setAccel(Key_F6);
		F7=new QPushButton( i18n("F7 Mkdir ") ,this);	
			connect(F7,SIGNAL(clicked()),this->parent(),
						SLOT(slotMkdir()));
			F7->setAccel(Key_F7);
		F8=new QPushButton( i18n("F8 Delete") ,this);
			connect(F8,SIGNAL(clicked()),this->parent(),
						SLOT(slotDeleteFiles()));
			F8->setAccel(Key_F8);
		F9=new QPushButton( i18n("F9 Rename") ,this);	
			connect(F9,SIGNAL(clicked()),this->parent(),
						SLOT(slotRenameFile()));
			F9->setAccel(Key_F9);
		F10=new QPushButton( i18n("F10 Quit ") ,this);
			F10->setAccel(Key_F10);
			connect(F10,SIGNAL(clicked()),kapp,
						SLOT(quit()));
		layout->addWidget(F3,0,0);
		layout->addWidget(F4,0,1);
		layout->addWidget(F5,0,2);
		layout->addWidget(F6,0,3);
		layout->addWidget(F7,0,4);
		layout->addWidget(F8,0,5);
		layout->addWidget(F9,0,6);
		layout->addWidget(F10,0,7);
		layout->activate();
}
