/***************************************************************************
                                krusadertoolbar.cpp
                             -------------------
    Version							 : Milestone 1
    begin                : Thu May 4 2000
    copyright            : (C) 2000 by Shie Erlich & Rafi Yanai
 ---------------------------------------------------------------------------
  Description 
 ***************************************************************************

  A 

     db   dD d8888b. db    db .d8888.  .d8b.  d8888b. d88888b d8888b.
     88 ,8P' 88  `8D 88    88 88'  YP d8' `8b 88  `8D 88'     88  `8D
     88,8P   88oobY' 88    88 `8bo.   88ooo88 88   88 88ooooo 88oobY'
     88`8b   88`8b   88    88   `Y8b. 88~~~88 88   88 88~~~~~ 88`8b
     88 `88. 88 `88. 88b  d88 db   8D 88   88 88  .8D 88.     88 `88.
     YP   YD 88   YD ~Y8888P' `8888Y' YP   YP Y8888D' Y88888P 88   YD

                                                     S o u r c e    F i l e

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/



#include "krusadertoolbar.h"
#include "krusader.h"
#include <klocale.h>
#include <qpixmap.h>
#include <unistd.h>
#include <sys/types.h>

KrusaderToolBar::KrusaderToolBar(QWidget *parent, const char *name ) : KToolBar(parent,name) {
	insertButton(back_xpm,TB_BACK_ID,true,i18n(TB_BACK_DESC),-1);

	insertButton(up_xpm,TB_PARENT_ID,true,i18n(TB_PARENT_DESC));
	addConnection(TB_PARENT_ID,SIGNAL(clicked()),krApp,SLOT(dirUp()));
	insertButton(top_xpm,TB_ROOT_ID,true,i18n(TB_ROOT_DESC));
  addConnection(TB_ROOT_ID,SIGNAL(clicked()),krApp,SLOT(root()));	
	insertButton(home_xpm,TB_HOME_ID,true,i18n(TB_HOME_DESC));
	addConnection(TB_HOME_ID,SIGNAL(clicked()),krApp,SLOT(home()));
  insertButton(refresh_xpm,TB_REFRESH_ID,true,i18n(TB_REFRESH_DESC));
	addConnection(TB_REFRESH_ID,SIGNAL(clicked()),krApp,SLOT(refresh()));
	
	insertLineSeparator();
	
	insertButton(mark_xpm,TB_MARK_ID,true,i18n(TB_MARK_DESC));
	addConnection(TB_MARK_ID,SIGNAL(clicked()),krApp,SLOT(markGroup()));
	insertButton(markall_xpm,TB_MARKALL_ID,true,i18n(TB_MARKALL_DESC));
	addConnection(TB_MARKALL_ID,SIGNAL(clicked()),krApp,SLOT(markAll()));
	insertButton(unmarkall_xpm,TB_UNMARKALL_ID,true,i18n(TB_UNMARKALL_DESC));
	addConnection(TB_UNMARKALL_ID,SIGNAL(clicked()),krApp,SLOT(unmarkAll()));
	
	insertLineSeparator();
	
	insertButton(search_xpm,TB_SEARCH_ID,true,i18n(TB_SEARCH_DESC));
	addConnection(TB_SEARCH_ID,SIGNAL(clicked()),krApp,SLOT(search()));
  insertButton(flag_xpm,TB_ADDBOOKMARK_ID,true,i18n(TB_ADDBOOKMARK_DESC));
  addConnection(TB_ADDBOOKMARK_ID,SIGNAL(clicked()),krApp,SLOT(addBookmark()));		
	
	insertLineSeparator();

  insertButton(mountMan_xpm,TB_MOUNTMAN_ID,true,i18n(TB_MOUNTMAN_DESC));
  addConnection(TB_MOUNTMAN_ID,SIGNAL(clicked()),krApp,SLOT(runMountMan()));		
	
	insertLineSeparator();
	
	insertButton(konfigurator_xpm,TB_CONFIGURE_ID,true,i18n(TB_CONFIGURE_DESC));
	addConnection(TB_CONFIGURE_ID,SIGNAL(clicked()),krApp,SLOT(runKonfigurator()));
	
	if (getgid()==0) {  // if user is of group ROOT, give him the sign.
	  insertLineSeparator();
	  insertButton(superuser_xpm,TB_SUPERUSER_ID,false,i18n(TB_SUPERUSER_DESC));
	}
}

KrusaderToolBar::~KrusaderToolBar(){
}

void KrusaderToolBar::toggleToolButton(int id, bool on) {
}
