/***************************************************************************
                                kvfspanel.cpp
                             -------------------
    Version							 : Milestone 1
    begin                : Thu May 4 2000
    copyright            : (C) 2000 by Shie Erlich & Rafi Yanai
 ---------------------------------------------------------------------------
  Description 
 ***************************************************************************

  A 

     db   dD d8888b. db    db .d8888.  .d8b.  d8888b. d88888b d8888b.
     88 ,8P' 88  `8D 88    88 88'  YP d8' `8b 88  `8D 88'     88  `8D
     88,8P   88oobY' 88    88 `8bo.   88ooo88 88   88 88ooooo 88oobY'
     88`8b   88`8b   88    88   `Y8b. 88~~~88 88   88 88~~~~~ 88`8b
     88 `88. 88 `88. 88b  d88 db   8D 88   88 88  .8D 88.     88 `88.
     YP   YD 88   YD ~Y8888P' `8888Y' YP   YP Y8888D' Y88888P 88   YD

                                                     S o u r c e    F i l e

 ***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


// KDE includes
#include <kapp.h>
#include <klocale.h>
#include <kmimetype.h>
// Krusader includes
#include "kvfspanel.h"
#include "krlistitem.h"
#include "defaults.h"
#include "krusader.h"
// QT includes
#include <qbitmap.h>

void KVFSPanel::dirUp()															{ func->dirUp();							}
void KVFSPanel::slotTerm()                          { func->terminal();						}
void KVFSPanel::slotEditFile()                      { func->editFile();						}
void KVFSPanel::slotMkDir()                         { func->mkdir();							}
void KVFSPanel::slotMoveFiles()                     { func->moveFiles();  				}
void KVFSPanel::slotRenameFile()										{ func->rename();							}

void KVFSPanel::slotCopyFiles()	 										{ func->copyFiles(); 					}
void KVFSPanel::slotDeleteFiles()										{ func->deleteFiles();			 	}
void KVFSPanel::slotPanelRefresh()									{ func->refresh(virtualPath);	}
void KVFSPanel::slotPanelRefresh(const QString path){ func->refresh(path);				}
void KVFSPanel::slotExecuted(QListViewItem *i)			{ func->execute(i); 					}
void KVFSPanel::home() { slotPanelRefresh(realPath=QDir::homeDirPath()); 			    }
void KVFSPanel::selectAll()                         { func->selectAll();          }
void KVFSPanel::selectGroup()                       { func->selectGroup();        }
void KVFSPanel::unselectGroup()                     { func->unselectGroup();      }

// overload this to control the NAME column resize
//////////////////////////////////////////////////
void KVFSPanel::resizeEvent ( QResizeEvent *e ) {
  QWidget::resizeEvent(e);
	int delta=e->size().width() - fileList->columnWidth(0) - fileList->columnWidth(1)
															- fileList->columnWidth(2) - fileList->columnWidth(3)*5+11;
  if (type == "tree") delta=e->size().width() - fileList->columnWidth(0);															
	// do not down-size below base-size of 8 letters to the name column
	int w=QFontMetrics(fileList->font()).width("W");
	if (fileList->columnWidth(0)<(w*8) && delta<0) return;
	fileList->setColumnWidth(0,fileList->columnWidth(0)+delta);
	fileList->triggerUpdate();
}

// set the visuals and internals of a focus to the panel
////////////////////////////////////////////////////////
void KVFSPanel::slotFocusOnMe() {
	krConfig->setGroup("Look&Feel");
	////////////////////////////////
	otherPanel->focused=false;
	otherPanel->origin->setPalette(palette());
	otherPanel->status->setPalette(palette());
  otherPanel->totals->setPalette(palette());
  if (otherPanel->type == "list") otherPanel->bookmarkList->setPalette(palette());

  focused=true;
  QPalette* qp;

  origin->setPalette(QPalette( krConfig->readColorEntry("Origin Background",_OriginBkg) ));
  qp = const_cast<QPalette*>(&(origin->palette()));
  qp->setColor(QPalette::Normal,
                             QColorGroup::ButtonText,
                             krConfig->readColorEntry("Origin Text",_OriginText));
  status->setPalette( QPalette( krConfig->readColorEntry("Status Background",_StatusBkg) ));
  qp = const_cast<QPalette*>(&(status->palette()));
  qp->setColor(QPalette::Normal,
                             QColorGroup::Foreground,
                             krConfig->readColorEntry("Status Text",_StatusText));
  totals->setPalette( QPalette( krConfig->readColorEntry("Status Background",_StatusBkg) ));
  qp = const_cast<QPalette*>(&(totals->palette()));
  qp->setColor(QPalette::Normal,
                             QColorGroup::Foreground,
                             krConfig->readColorEntry("Status Text",_StatusText));
  if (type == "list"){
    bookmarkList->setPalette( QPalette(krConfig->readColorEntry("Status Background",_StatusBkg) ));
	}
	fileList->setFocus();     // get the keyboard attention to the file list
	emit cmdLineUpdate(realPath);
	emit activePanelChanged(this);
}

void KVFSPanel::slotFileProperties(QListViewItem *item) {
  // if called from the pull-down menu
  if (item==0) item=fileList->currentItem();
  if (item->text(0)=="..") return;
  // create a new url and get the file's mode
  QString localFile=files->vfs_getFile(item->text(0));
  KURL url;
  url.setPath(localFile);
  KFileItem *fi=new KFileItem(-1,-1,url);
  KPropertiesDialog *dlg=new KPropertiesDialog(fi);
  connect(dlg,SIGNAL(applied()),this,SLOT(slotPanelRefresh()));
}
